Map a file into memory and return the stream resource which can be used by PHP stream operations.

- « Swoole\Mmap

- Swoole\MySQL »

- PHP Manual
- Swoole\Mmap
- Map a file into memory and return the stream resource which can be used by PHP stream operations.

# Swoole\Mmap::open

(PECL swoole >= 1.9.0)

Swoole\Mmap::open — Map a file into memory and return the stream resource which can be used by PHP stream operations.

### Description

public static Swoole\Mmap::open(string `$filename`, string `$size` = ?, string `$offset` = ?): ReturnType

### Parameters

`filename`

`size`

`offset`

### Return Values